Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.mock
Class MockContainer

    java.lang.Object
      com.opensymphony.xwork2.mock.MockContainer

All Implemented Interfaces:
  Container, Serializable

    public class MockContainer

extends Object
implements Container

Mock implementation to be used in unittests

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.opensymphony.xwork2.inject.Container
`DEFAULT_NAME`

Constructor Summary
`MockContainer()`

Method Summary
`
`<T> T`
` | `getInstance(Class<T> type)` Convenience method. Equivalent to `getInstance(type, DEFAULT_NAME)`.
`
`<T> T`
` | `getInstance(Class<T> type, String name)` Gets an instance of the given dependency which was declared in `ContainerBuilder`.
`Set<String>` | `getInstanceNames(Class<?> type)` Gets a set of all registered names for the given type
`
`<T> T`
` | `inject(Class<T> implementation)` Creates and injects a new instance of type `implementation`.
`void` | `inject(Object o)` Injects dependencies into the fields and methods of an existing object.
`void` | `removeScopeStrategy()` Removes the scope strategy for the current thread.
`void` | `setScopeStrategy(Scope.Strategy scopeStrategy)` Sets the scope strategy for the current thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockContainer

    public MockContainer()

Method Detail

### inject

    public void inject(Object o)

  Description copied from interface: `Container`
  Injects dependencies into the fields and methods of an existing object.

  Specified by:
    `inject` in interface `Container`

### inject

    public <T> T inject(Class<T> implementation)

  Description copied from interface: `Container`
  Creates and injects a new instance of type `implementation`.

  Specified by:
    `inject` in interface `Container`

### getInstance

    public <T> T getInstance(Class<T> type,
                             String name)

  Description copied from interface: `Container`
  Gets an instance of the given dependency which was declared in `ContainerBuilder`.

  Specified by:
    `getInstance` in interface `Container`

### getInstance

    public <T> T getInstance(Class<T> type)

  Description copied from interface: `Container`
  Convenience method. Equivalent to `getInstance(type, DEFAULT_NAME)`.

  Specified by:
    `getInstance` in interface `Container`

### getInstanceNames

    public Set<String> getInstanceNames(Class<?> type)

  Description copied from interface: `Container`
  Gets a set of all registered names for the given type

  Specified by:
    `getInstanceNames` in interface `Container`
  Parameters:
    `type` - The instance type
  Returns:
    A set of registered names or empty set if no instances are registered for that type

### setScopeStrategy

    public void setScopeStrategy(Scope.Strategy scopeStrategy)

  Description copied from interface: `Container`
  Sets the scope strategy for the current thread.

  Specified by:
    `setScopeStrategy` in interface `Container`

### removeScopeStrategy

    public void removeScopeStrategy()

  Description copied from interface: `Container`
  Removes the scope strategy for the current thread.

  Specified by:
    `removeScopeStrategy` in interface `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.